View Issue Details

IDProjectCategoryView StatusLast Update
0005141GNUnetdocumentationpublic2019-02-28 11:17
Reporterng0Assigned Tong0 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005141: documentation meta-issue
DescriptionThis gathers all remaining documentation-specific issues, leading up to a documentation in a state that can be considered okay.
TagsNo tags attached.

Relationships

parent of 0005138 closedng0 decide on the minimal required Texinfo version 
parent of 0005146 closedng0 documentation: include stylesheet for HTML conversion 
parent of 0005152 closedng0 create a vocabulary section or chapter we can link to 
parent of 0005176 closedng0 reach out to make it easier to understand the Manual 
parent of 0005249 closedng0 disabling build of documentation is not possible 

Activities

ng0

2017-10-28 22:52

developer   ~0012521

A little progress update:

In the "doc/documentation" branch, the chapter contained in doc/documentation/chapters/philosophy.texi is considered to be 100% fixed from export.
All that is left in this chapter is some additional links, a final review on content and structure, and that's it.

The other chapters are slowly progressing. I'm not happy with the other chapters as they are now, but it's still mostly about fixing the initial exports (from Drupal).

I've arrived at the point where I can correct and add new details, so I'm getting pretty close to being able to manage the Reference Manual and planing additional chapters and features.

The GNUNet C Tutorial needs some final tweaks and additions, and a check on what can be merged into the GNUnet Reference Manual (or just linked to it as a "further reading" link). I know it is intended as a complete Tutorial, but for example it 'feels' wrong to me to have the section "Installing GNUnet" in there. Instead it should point to the Reference Manual where all possible ways to install GNUnet will be explained.
Code snippets need to be adjusted (again) to match the GNU C Standard we use, to be consistent with the Manual.

ng0

2017-10-28 22:54

developer   ~0012522

Furthermore I have started to add some Documentation Guidelines, and I'm reviewing other Documentations to see what can be done in the future for our Documentation.

Right now this is in the doc/documentation/README.txt org-file, I'll move it into a new Chapter or Section "Contributing to this Manual" once I'm getting there.

ng0

2017-10-28 22:58

developer   ~0012523

For now, please add Documentation additions to the 'doc/documentation' branch. The commits can be incomplete (ie: broken builds) and you don't need to know much about Texinfo (though I'd prefer if people would read the Texinfo Documentation as I have reached some level of knowledge in Texinfo but some problems here are still subject to experimentation with the right solution).
This is why I stopped using the master branch for now, to not interrupt the (supposedly, ideally) stable master branch and peoples workflow in it.

Christian Grothoff

2018-06-28 10:39

manager   ~0013101

doc/documentation branch seems very inactive, we've continued at the GNUnet hacker meeting on master. We should delete the doc/documentation/ branch to avoid confusion.

ng0

2018-06-28 11:53

developer   ~0013102

It was never really active because you told me a long time ago to just work on master.
deletion is okay.

Christian Grothoff

2018-10-21 13:36

manager   ~0013285

Then please delete it.

ng0

2018-10-21 18:32

developer   ~0013286

I deleted it a long time ago.

ng0

2018-10-30 19:12

developer   ~0013301

I'm not happy with this meta issue being open blocking me from marking another issue as obsolete. I'm going to split this. There are other, new issues with the documentation, but there will always be issues to work on.

ng0

2018-10-30 19:16

developer   ~0013302

obsolete, but not finished. please use individual issues.

Issue History

Date Modified Username Field Change
2017-09-27 20:17 ng0 New Issue
2017-09-27 20:19 ng0 Relationship added parent of 0005121
2017-09-27 20:20 ng0 Relationship added parent of 0005120
2017-09-27 20:20 ng0 Relationship added parent of 0005138
2017-09-27 20:27 ng0 Assigned To => ng0
2017-09-27 20:27 ng0 Status new => acknowledged
2017-09-27 20:28 ng0 Relationship added child of 0005126
2017-10-14 13:26 ng0 Relationship added parent of 0005146
2017-10-17 15:58 ng0 Relationship added parent of 0005152
2017-10-28 22:52 ng0 Note Added: 0012521
2017-10-28 22:54 ng0 Note Added: 0012522
2017-10-28 22:58 ng0 Note Added: 0012523
2017-11-11 17:50 ng0 Relationship added parent of 0005176
2018-01-07 20:17 ng0 Relationship added parent of 0005249
2018-06-28 10:39 Christian Grothoff Note Added: 0013101
2018-06-28 11:53 ng0 Note Added: 0013102
2018-10-21 13:36 Christian Grothoff Note Added: 0013285
2018-10-21 18:32 ng0 Note Added: 0013286
2018-10-30 19:12 ng0 Note Added: 0013301
2018-10-30 19:13 ng0 Relationship deleted parent of 0005120
2018-10-30 19:14 ng0 Status acknowledged => confirmed
2018-10-30 19:15 ng0 Relationship deleted child of 0005126
2018-10-30 19:15 ng0 Relationship deleted parent of 0005121
2018-10-30 19:16 ng0 Status confirmed => resolved
2018-10-30 19:16 ng0 Resolution open => fixed
2018-10-30 19:16 ng0 Fixed in Version => SVN HEAD
2018-10-30 19:16 ng0 Note Added: 0013302
2019-02-12 09:20 Christian Grothoff Target Version => 0.11.0
2019-02-16 11:54 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed